curl --request POST \
--url https://api.assembly.com/v1/notifications/{id}/read \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.assembly.com/v1/notifications/{id}/read"
headers = {"X-API-KEY": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.assembly.com/v1/notifications/{id}/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"additionalFields": {
"channelName": "<string>",
"invoiceNumber": "<string>",
"senderName": "<string>"
},
"appId": "550e8400-e29b-41d4-a716-446655440005",
"assetS3Key": "<string>",
"channelId": "<string>",
"companyId": "550e8400-e29b-41d4-a716-446655440003",
"count": 123,
"createdAt": "<string>",
"creatorId": "<string>",
"data": "<string>",
"defaultListIndexPkey": "<string>",
"deliveryTargets": {
"email": {
"header": "You have a new file",
"subject": "New file uploaded",
"title": "New file uploaded",
"body": "A new file was uploaded to your portal.",
"ctaParams": {},
"htmlBody": "<p>A new file was uploaded to your portal.</p>"
},
"inProduct": {
"title": "New file uploaded",
"body": "A new file was uploaded to your portal.",
"ctaParams": {},
"isRead": false
}
},
"event": "file.created",
"fields": {
"channelId": "<string>",
"companyId": "<string>",
"count": 123,
"formId": "<string>",
"groupingEntityType": "<string>",
"itemName": "<string>",
"notificationGroup": "<string>",
"senderID": "<string>",
"senderType": "<string>",
"senderUserId": "<string>"
},
"id": "<string>",
"identityId": "<string>",
"isGroup": true,
"isRead": true,
"object": "<string>",
"previousAttributes": {},
"recipientClientId": "550e8400-e29b-41d4-a716-446655440001",
"recipientCompanyId": "550e8400-e29b-41d4-a716-446655440003",
"recipientId": "550e8400-e29b-41d4-a716-446655440001",
"recipientInternalUserId": "550e8400-e29b-41d4-a716-446655440004",
"recipientType": "USER",
"ref": "<string>",
"reminders": {
"scheduled": [
"<string>"
],
"sent": [
"<string>"
]
},
"resourceId": "550e8400-e29b-41d4-a716-446655440002",
"senderCompanyId": "550e8400-e29b-41d4-a716-446655440003",
"senderId": "550e8400-e29b-41d4-a716-446655440000",
"senderType": "internalUser",
"updatedAt": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Mark notification as read
Marks a notification as read and returns the updated notification.
Authorizations
Path Parameters
Notification ID
Response
OK
Show child attributes
Show child attributes
AppID is the ID of the custom app that created the notification, when applicable.
"550e8400-e29b-41d4-a716-446655440005"
CompanyID is the company the notification is associated with, when applicable.
"550e8400-e29b-41d4-a716-446655440003"
DefaultListIndexPkey for the notification model is used to mark whether a notification is an inbox notification
DeliveryTargets describes how the notification is delivered (in-product and/or email).
Show child attributes
Show child attributes
Event is the domain event that triggered the notification.
files.created, file.created, contract.signed, contract.requested, formResponse.requested, formResponse.completed, form.created, invoice.paid, invoice.requested, invoice.processing, invoice.paymentFailed, refund.requested, refund.processed, refund.failed, autoChargePayment.requested, customApp.action, internalChat.mentioned, channel.mentioned "file.created"
todo: remove fields once FE doesn't use them
Show child attributes
Show child attributes
Deprecated: use DeliveryTargets.InProduct.IsRead
RecipientClientID is the recipient client ID, set when the recipient is a client.
"550e8400-e29b-41d4-a716-446655440001"
RecipientCompanyID is the recipient company ID, set when the recipient is a client (their company).
"550e8400-e29b-41d4-a716-446655440003"
RecipientID is the ID of the member the notification is delivered to.
"550e8400-e29b-41d4-a716-446655440001"
RecipientInternalUserID is the recipient internal user ID, set when the recipient is an internal user.
"550e8400-e29b-41d4-a716-446655440004"
USER, CLIENT_USER, CLIENT_COMPANY Show child attributes
Show child attributes
ResourceID is the ID of the resource the notification refers to (e.g. the uploaded file or invoice).
"550e8400-e29b-41d4-a716-446655440002"
SenderCompanyID is the sender's company ID, set when the recipient is an internal user.
"550e8400-e29b-41d4-a716-446655440003"
SenderID is the ID of the member who triggered the notification.
"550e8400-e29b-41d4-a716-446655440000"
SenderType is the kind of member that sent the notification.
"internalUser"